﻿@model OperationalRiskException.Core.ViewModels.AssessmentSetupVM
@{ 
    Layout = "~/Views/Shared/_LayoutProcessor.cshtml";
}
    <div class="row">
        <div class="col-md-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title"> Assessment </h4>
                    <p class="card-description">
                        Setup
                    </p>
                    <form name="updateAss">
                      
                           

                            <div class="row">
                                <div class="form-group col-md-12">
                                    <label for="exampleInputUsername1">Assessment Name</label>
                                    <div class="row col-md-12">
                                        @Html.EditorFor(n => n.AssessmentName, new { htmlAttributes = new { @class = "form-control", @placeholder = "Category Name" } })
                                        @Html.ValidationMessageFor(model => model.AssessmentName, null, new { @class = "text text-danger" })
                                    </div>
                                </div>



                                <div class="form-group col-md-5">
                                    <label for="exampleInputUsername1">Start Date</label>
                                    <div class="row col-md-12">
                                        @Html.EditorFor(model => model.StartDate, new
                                        {
                                            htmlAttributes = new
                                            {
                                                @readonly = "true",
                                       Value = Model.StartDate.ToString("dd-MMM-yyyy"),
                                                @class = "date-ui datepicker",
                                                  @id = "StartDate"
                                            }
                                        })
                                    </div>
                                    <div>
                                        @Html.ValidationMessageFor(model => model.StartDate, null, new { @class = "text text-danger" })
                                    </div>
                                </div>


                                <div class="form-group col-md-5">
                                    <label for="exampleInputUsername1">End Date</label>
                                    <div class="row col-md-12">
                                        @Html.EditorFor(model => model.EndDate, new
                                        {
                                            htmlAttributes = new
                                            {
                                                @readonly = "true",
                                       Value = Model.EndDate.ToString("dd-MMM-yyyy"),
                                                @class = "date-ui datepicker",
                                                @id = "EndDate"
                                            }
                                        })
                                    </div>
                                    <div>
                                        @Html.ValidationMessageFor(model => model.EndDate, null, new { @class = "text text-danger" })
                                    </div>
                                </div>


                                <div class="form-group col-md-12">
                                    <label for="exampleInputUsername1">Select Question Categories</label>
                                    <div class="row col-md-12">
                                        @Html.DropDownListFor(n => n.ListOfQuestionCategories, Enumerable.Empty<SelectListItem>(), "Please select Question", new { @class = "form-control selecte2 col-md-12", @id = "select2", @multiple = "multiple" })
                                        @Html.ValidationMessageFor(model => model.ListOfQuestionCategories, null, new { @class = "text text-danger" })
                                    </div>
                                </div>


                                <button onclick="UpdateAssessment()" class="btn btn-primary mr-2"> Update Setup</button>
                            </div>
                      
                    </form>
                </div>
            </div>
        </div>
    </div>
<script type="text/javascript">
    $(document).ready(function () {
        DateTimePicker();
        $("#StartDate").change(function () {
            var date2 = $("#StartDate").datepicker('getDate', '+1d');
            console.log(date2);
            date2.setDate(date2.getDate() + 1);
            $("#EndDate").datepicker('option', 'minDate', date2);
            $("#EndDate").datepicker('setDate', date2);
        });
          var pageSize = 20;
        var optionListUrl = '@Url.Action("GetAllCategories", "AssessmentSetup")';
        $('#selecte2').select2(
            {
                ajax: {
                    delay: 150,
                    url: optionListUrl,
                    dataType: 'json',
                    data: function (params) {
                        params.page = params.page || 1;
                        return {
                            searchTerm: params.term,
                            pageSize: pageSize,
                            pageNumber: params.page
                        };
                    },
                    processResults: function (data, params) {
                        params.page = params.page || 1;
                        return {
                            results: data.Results,
                            pagination: {
                                more: (params.page * pageSize) < data.Total
                            }
                        };
                    }
                },
                placeholder: "-- Please select a name --",
                //minimumInputLength: 3,
                allowClear: true,

            });
    });

    function DateTimePicker() {
        $(".datepicker").datepicker({
            dateFormat: 'dd-M-yy',
            changeMonth: true,
            changeYear: true,
            showOn: 'button',
            sideBySide : true,
            controlType: 'select',
            buttonText: '<span class="mdi mdi-calendar mdi-24px" ></span>',
            minDate: new Date()
        });
    }
</script>
